#ifndef ARCNETSENSOR_H_
#define ARCNETSENSOR_H_

#include "ArcnetNode.h"

namespace cosi {

namespace library {

namespace wiredbas {

class ArcnetSensor : public cosi::library::wiredbas::ArcnetNode {
public:
	ArcnetSensor();
	virtual ~ArcnetSensor();
	cosi::commstruct::wiredbas::PlatformInstance* GetPlatformInstance(int V,
			Position pP);
	cosi::commstruct::wiredbas::Implementation* GetImplementationInstance(
			int V, Position pP, ThreadSet pThreads, TransferTable pT);

	double GetCost();

	RealDelay GetDelay(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
			Vertex Dest);
	double GetDelayValue(Vertex NodeId,
			cosi::commstruct::wiredbas::Implementation* pI, Vertex Src,
			Vertex Dest);

	std::string GetShape();

	static std::string ComponentName;
	static std::string ComponentType;

};

}

}

}

#endif /*ARCNETSENSOR_H_*/
